Drawing Api Autodimensions, 3View and flipView

Hello I have some problem with this code.
First;
Dimensions texts are so small how to scale it with View size. Shoul ı do in .drwdot templates or type code here to scale it automatically. If one part in drawing 100x100mm and the others 1000x1000mm what will happen.
Second;
Views and flat pattern bounding boxs are intersect it self ıdk how to locate them automatically. LocX, LocY, LocZ, If ı want to put 2 model in to drawing how to give gap between them.
Third;
I want to flip flatten pattern based on user control. User will select the option button if button selected flat pattern will flip. Idk how to select flat pattern view and flip it. Here is the mavro record code.
boolstatus = Part.Extension.SelectByRay(-0.15855833396514, -7.20739941577722E-02, 1.25000000002728E-03, 0, 0, -1, 2.95242390779923E-03, 2, False, 0, 0)

Sub main()
Dim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim a As View
Dim b As Object
Dim vAnnotations As Variant
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
Set Part = swApp.NewDocument("C:\ProgramData\SOLIDWORKS\SOLIDWORKS 2018\templates\Teknik Resim.drwdot", 0, 0, 0)
boolstatus = Part.Create3rdAngleViews("Part1.SLDPRT")
Set b = Part.CreateDrawViewFromModelView3("Part1.SLDPRT", "*Isometric", 0, 0, 0)
Set a = Part.CreateFlatPatternViewFromModelView3("Part1.sldprt", "Varsayılan", 0, 0, 0, False, False)
vAnnotations = Part.InsertModelAnnotations3(0, 32776, True, True, True, True)

End Sub